All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
SimpleRefHolder< T > Class Template Reference

manages a reference count of a pointer to a class that takes a simple "deref()" call with no arguments More...

`#include <ReferenceHolder.h>`

## Detailed Description

### template<typename T>
class SimpleRefHolder< T >

manages a reference count of a pointer to a class that takes a simple "deref()" call with no arguments

SimpleRefHolder<QoreStringNode> str(new QoreStringNode(QCS_UTF8));
// QoreString::concatUnicode() can raise a Qore-language exception if the code is invalid
str->concatUnicode(code, xsink);
return *xsink ? str.release() : 0;

The documentation for this class was generated from the following file:

- include/qore/ReferenceHolder.h (6de6cc3b438610bf03b2bec44a3d7c61f90e3165)